Page MenuHomePhabricator

"Blocks" instead of "Dependent Tasks"
ClosedPublic

Authored by lpriestley on May 23 2014, 4:57 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Sep 17, 3:04 PM
Unknown Object (File)
Sat, Sep 17, 7:31 AM
Unknown Object (File)
Aug 7 2022, 12:49 PM
Unknown Object (File)
Aug 6 2022, 3:15 AM
Unknown Object (File)
Aug 5 2022, 6:38 PM
Unknown Object (File)
Jul 26 2022, 11:16 AM
Unknown Object (File)
Jul 23 2022, 8:09 PM
Unknown Object (File)
Jun 27 2022, 7:10 AM
Subscribers

Details

Summary

Fixes T5021, UI labels for the fields, "Edit Dependencies" in the action list, transaction strings ("added dependent tasks", etc), UI strings in the dependencies dialog (title/submit/etc)

Test Plan

Open task, edit blocks, dialog should have new term, task history should show "blocks" instead of "dependencies"

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

lpriestley retitled this revision from to "Blocks" instead of "Dependent Tasks".
lpriestley updated this object.
lpriestley edited the test plan for this revision. (Show Details)
lpriestley added a reviewer: epriestley.
epriestley edited edge metadata.

Two small wordsmithing things.

src/applications/maniphest/controller/ManiphestTaskDetailController.php
473–474

I think "Edit Blockers" (or, probably, "Edit Blocking Tasks") would be more clear/consistent.

src/applications/search/controller/PhabricatorSearchAttachController.php
266–268

These should have pht(), and probably be "Edit Blocking Tasks", etc.

This revision now requires changes to proceed.May 23 2014, 5:14 PM
lpriestley edited edge metadata.

Adding translations to my one change

epriestley edited edge metadata.
This revision is now accepted and ready to land.May 23 2014, 8:50 PM
epriestley updated this revision to Diff 22022.

Closed by commit rP6a80b6a588c8 (authored by @lpriestley, committed by @epriestley).